%define upstream_name    Dist-Zilla-Plugin-AuthorSignatureTest
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    An Author Distribution C<SIGNATURE> Test for L<Dist::Zilla>
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is an extension of Dist::Zilla::Plugin::InlineFile,
providing the following files:

   xt/author/signature.t - a standard Test::Signature test

This test uses Test::Signature to test the SIGNATURE file in
your dist. If Test::Signature is not installed, the test is
skipped.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml SIGNATURE META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-5.mga10
+ Revision: 2203577
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20.0-4.mga9
+ Revision: 1808829
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-3.mga8
+ Revision: 1503916
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-2.mga7
+ Revision: 1282985
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 shlomif <shlomif> 0.20.0-1.mga7
+ Revision: 1210609
- imported package perl-Dist-Zilla-Plugin-AuthorSignatureTest


* Tue Mar 20 2018 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
